%{?nodejs_find_provides_and_requires}

# tests have circular dependency (mocha -> jade -> monocle)
%global enable_tests 1

Name:       nodejs-monocle
Version:    1.1.51
Release:    12%{?dist}
Summary:    A tool for watching directories for file changes
License:    BSD
Group:      System Environment/Libraries
URL:        https://github.com/samccone/monocle
Source0:    https://registry.npmjs.org/monocle/-/monocle-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-00ccc2a0454058f0cd1964d0703d8322f78af049.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(readdirp)
%endif

%description
%{summary}.


%prep
%setup -q -n package
find . -type f -exec chmod -x '{}' \;
%setup -q -T -D -a 1 -n package

%nodejs_fixdep readdirp '2.x'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/monocle
cp -pr package.json monocle.js \
    %{buildroot}%{nodejs_sitelib}/monocle

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha test -R spec -t 60000
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/monocle


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.51-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 12 2017 Tom Hughes <tom@compton.nu> - 1.1.51-11
- Increase test timeout

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.51-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.51-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.51-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 22 2016 Tom Hughes <tom@compton.nu> - 1.1.51-7
- Increase test timeout

* Thu Dec 31 2015 Tom Hughes <tom@compton.nu> - 1.1.51-6
- Enable tests

* Thu Dec 31 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.51-5
- Update fixdep on readdirp
- Disable tests to break circular dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.51-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.51-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.51-2
- fix version of npm(readdirp) dependency

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.1.51-1
- initial package
